var viewHtml = "init.html";
var searchStrs = "";
var tmpsearchStrs = "";
$('#tab1').on('click', function() {
	$('.sidebar-collapse').css("display", "block");
	$('.search').css("display", "none");
	$('#tab1').addClass("select");
	$('#tab2').removeClass("select");
	tmpsearchStrs = searchStrs;
	searchStrs = "";
})
$('#tab2').on('click', function() {
	$('.sidebar-collapse').css("display", "none");
	$('.search').css("display", "block");
	$('#tab1').removeClass("select");
	$('#tab2').addClass("select");
	searchStrs = tmpsearchStrs;
})
$('#searchbutton').on('click', function() {
	fncDoSearch();
})

$("#searchTextbox").keypress(function(e){
	if(e.which != 13){
		return;
	}
	fncDoSearch();
});

function fncDoSearch() {
	var strSearchTexts = $('#searchTextbox').val();
	if(strSearchTexts == ""){
		return;
	}
	$('.sidebar-search').css("display","");
	var strSearchTexts = $('#searchTextbox').val();
	strSearchTexts = escapeSearchText(strSearchTexts);
	// 検索条件をエスケープ
	showSearchResult(strSearchTexts);
}

// 検索条件をエスケープ
function escapeSearchText(strSearchTexts){
		var regexpEscapeJson = /([$()\-^\\\|\[\]{},:+*.?])/g;
		if (regexpEscapeJson.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeJson, "\\$1");
		}
		var regexpEscapeHtmlAmp = /(&)/g;
		if (regexpEscapeHtmlAmp.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeHtmlAmp, "&amp;");
			strSearchTextsOriginal = strSearchTextsOriginal.replace(regexpEscapeHtmlAmp, "&amp;");
		}
		var regexpEscapeHtmlLt = /(<)/g;
		if (regexpEscapeHtmlLt.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeHtmlLt, "&lt;");
			strSearchTextsOriginal = strSearchTextsOriginal.replace(regexpEscapeHtmlLt, "&lt;");
		}
		var regexpEscapeHtmlGt = /(>)/g;
		if (regexpEscapeHtmlGt.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeHtmlGt, "&gt;");
			strSearchTextsOriginal = strSearchTextsOriginal.replace(regexpEscapeHtmlGt, "&gt;");
		}
		return strSearchTexts;
}

function showSearchResult(strSearchTexts){
	// 検索先情報 (search.json) の取得
	var s = eval(search);
	// 検索先情報分ループ
	var iLoopLength = s.length;
	var result = '<div id="id_search_results" style="background-color: rgb(255, 255, 255);height: calc(87vh - 170px);">';
	var resultCount = 0;
	var searchTexts = createSearchText(strSearchTexts);
	for (var i = 0; i < iLoopLength; i++) {
		// 検索先情報の取得
		var body = s[i].body;		// 本文
		// 本文が空ならスキップ
		if (!body || !searchBody(body,strSearchTexts)) {
			continue;
		}
		result += createSearchResultDiv(s[i], searchTexts)
		resultCount++;
	}
	result += "</div>";
	var viewResult ="<div id=\"id_search_info\"> <span style=\"color: #cf4e32;\">" + resultCount + "</span> " + resultStr + "</div>";
	viewResult += result;
	$(".sidebar-search").html(viewResult);
}

function searchBody(body, strSearchTexts){
	var resultBoolean = true;
	body = body.toLowerCase();
	var searchTexts = createSearchText(strSearchTexts);
	$.each(searchTexts, function(index, value){
		if(value != " " && !body.match(value.replace("#space", " "))){
			resultBoolean = false;
			return false;
		}
	})
	return resultBoolean;
}

function createSearchText(strSearchTexts){
	strSearchTexts = strSearchTexts.toLowerCase();

	//ダブルクォーテーションの中の文字はスペースがあっても分割しない。
	strSearchTexts = strSearchTexts.replace(/"(.*?) (.*?)"/,"$1#space$2").replace(/　/," ");
	var txt = strSearchTexts.split(" ");
	//空要素と重複要素を除去
	var arr2 = txt.filter(function(s){return s !== '';});
	var arr3 = arr2.filter(function (x, i, self) {
		return self.indexOf(x) === i;
	});
	return arr3;
}

//検索結果のDivを作成します。
function createSearchResultDiv(target, searchTexts){
	searchStrs = searchTexts;
	var arrResults = new Array();
	arrResults.push("<div class=\"search_topic_title\">");
	arrResults.push("&nbsp;");

	arrResults.push("<a href=\"javascript:changeHtml('" + target.HTMLFileName + "');\">");
	arrResults.push(target.title);
	arrResults.push("</a>");

	arrResults.push("</div>");
	arrResults.push("<div class=\"search_topic_summary\">");
	arrResults.push(markingColor(searchTexts, target.body));
	arrResults.push("</div>");
	return arrResults.join("");

}

//targetで指定した文字をハイライトします。
function markingColor(target, body){
	var nMarkerColor = 0;
	var strMarkerColor = "";
	var strMarkerEndColor = "";
	var baseLength = body.length;
	for (var k = 0; k < target.length; k++) {
		target[k] =target[k].replace("#space", " ");
		if(target[k] != " "){
			switch (nMarkerColor) {
				case 0:
					strMarkerColor = String.fromCharCode(0x2080);
					break;
				case 1:
					strMarkerColor = String.fromCharCode(0x2081);
					break;
				case 2:
					strMarkerColor = String.fromCharCode(0x2082);
					break;
				case 3:
					strMarkerColor = String.fromCharCode(0x2083);
					break;
				case 4:
					strMarkerColor = String.fromCharCode(0x2084);
					break;
			}

			var targetRegexp = new RegExp(target[k],'gi');
			var matchList = body.match(targetRegexp);
			var nonDuplicationlist = matchList.filter(function (x, i, self) {
				return self.indexOf(x) === i;
			});
			for (var t of nonDuplicationlist) {
				body = body.replaceAll(t,strMarkerColor +  t + String.fromCharCode(0x2085))
			}
			
			nMarkerColor++;
			if(nMarkerColor > 4){
				nMarkerColor = 0;
			}
		}
	}
	
	var resultBody = "";
	for (var k = 0; k < target.length; k++) {
		target[k] =target[k].replace("#space", " ");
		var strcount = body.search(target[k]);
		var baseBody = body;
		var startCount = strcount - 21;
		if(startCount < 0){
			startCount = 0;
		}
		targetBody = baseBody.substring(startCount, strcount + target[k].length + 21);
		if(strcount - 20 > 0){
			targetBody = "..." + targetBody;
		}
		if(strcount + target[k].length + 20 < baseLength){
			targetBody = targetBody + "...";
		}
		resultBody += targetBody;
	}
	resultBody = resultBody.replace(/\u2080/g, "<span class=\"backA\">");
	resultBody = resultBody.replace(/\u2081/g, "<span class=\"backB\">");
	resultBody = resultBody.replace(/\u2082/g, "<span class=\"backC\">");
	resultBody = resultBody.replace(/\u2083/g, "<span class=\"backD\">");
	resultBody = resultBody.replace(/\u2084/g, "<span class=\"backE\">");
	resultBody = resultBody.replace(/\u2085/g, "</span>");

	return resultBody;
}

function changeHtml(htmlName) {
	$('#frame').attr("src", htmlName);
	viewHtml = htmlName;
	$('.topic').removeClass('thisTopic');
    $('#' + htmlName.replace(".html", "")).addClass('thisTopic');
    if(window.innerWidth <768){
   		$('nav.navbar-side').removeClass('open').addClass("in");
   		$('button.navbar-toggle').removeClass('open').addClass("collapsed")
	}
}
$('#frame').load(function(){
	$('#frame')[0].contentWindow.postMessage(searchStrs, "*");	// iframeの場合
});
var search=[{topicId:"guid-e821d9fc-e8a0-2b9f-73f5-5b0946b0493a",body:"ContentsIntroductionContentsIntroductionVerified ApplicationsGlossaryGlossaryFunctional OverviewAbout SkyPDF Pro DriverNotification Methods for Error MessagesPreferencesHow to Open the Settings Screen[Easy Setup] Tab[Page Settings] Tab[Compression Options] Tab[Embed Fonts] Tab[Security] Tab[Watermark] Tab[Time Stamp] Tab[Document] Tab[Standards] Tab[Image Output] Tab[Version] TabNotes and RestrictionsNotes and restrictions on SkyPDF Pro Driver",title:"Contents",HTMLFileName:"Contents_guid-e821d9fc-e8a0-2b9f-73f5-5b0946b0493a_0.html"},{topicId:"guid-f336415a-e533-7c0b-251b-aaa009a768f4",body:"Introduction[[ヘルプの概要1]] [[ヘルプの概要2]] NotesThis product is developed by SKYCOM Corporation(hereinafter referred to as 'our company'). Reproduction, storage, or transmission of this document and the product in any form or by any means without prior written permission from our company is strictly prohibited. If you intend to export this product, please ensure compliance with regulations such as foreign exchange, foreign trade laws, and U.S. export control regulations. Please follow the necessary procedures. DisclaimerThis document is provided on the understanding that the information contained herein is for reference purposes only and may be subject to change without notice due to product improvements and other factors. Our company assumes no responsibility for any errors, omissions, or inaccuracies in this document. Our company makes no warranties, express or implied, regarding the completeness, accuracy, usefulness, suitability for a particular purpose, non-infringement of third-party rights, or any other aspects of the information provided in this document, and does not assume any obligation to investigate such matters. Our company offers product warranties in accordance with the terms of the license or usage agreement, and no warranties are provided based on this document. Therefore, our company shall not be liable for any damages arising from the use or inability to use this document. Last Updated[[最終更新日]] The latest version can be obtained from the following URL. https://www.skycom.jp/support/product_manual/  ",title:"Introduction",HTMLFileName:"Introduction_guid-f336415a-e533-7c0b-251b-aaa009a768f4_1.html"},{topicId:"guid-b62af7c7-4e20-65d3-b0dc-ec5b0da2be29",body:"Verified ApplicationsProfessional Standard Professional(TS) TSSkyPDF Pro Driver and SkyPDF V4 Driver have been verified to work with the following third-party products for printing: Microsoft Office 2016 (Word / Excel / PowerPoint)Microsoft Office 2019 (Word / Excel / PowerPoint)Microsoft Office 2021 (Word / Excel / PowerPoint)Microsoft 365 / Office 365 (Word / Excel / PowerPoint / Visio)Microsoft Visio 2016Microsoft Visio 2019Microsoft Visio 2021Microsoft Edge(Chromium)一太郎(Ichitaro) 2022一太郎(Ichitaro) 2023一太郎(Ichitaro) 2024However, please note the following: In addition to the above, you can create PDF files with any application that has printing capabilities. However, we do not guarantee their functionality as they have not been tested by our company. Depending on the content of the original document and the type of application used, there may be cases where PDF files cannot be generated successfully.We guarantee operation only when used with the OS supported by the manufacturer of each application.SkyPDF Pro Driver does not support printing from UWP apps; therefore, its functionality with UWP apps is not guaranteed.",title:"Verified Applications",HTMLFileName:"Verified Applications_guid-b62af7c7-4e20-65d3-b0dc-ec5b0da2be29_2.html"},{topicId:"guid-d4b9d91b-ef54-d243-e74d-b86dfa274c2b",body:"GlossaryBelow, we will explain the definitions of key terms used in this help guide. Some terms in this help guide are used with meanings that differ from their common usage or interpretation. Please understand that the definitions provided here are intended for use when utilizing this document. AccessibilityAccessibility refers to the features that enable users with visual, auditory, or mobility impairments to access content and functionality.Control panelA tool for managing Windows settings and system administration. To open it, type 'Control Panel' in the search box on the taskbar and click on the search result.Devices and PrintersA list of printers installed on the OS. Access it through the Control Panel by selecting &quot;Devices and Printers&quot; or &quot;View devices and printers.&quot;ExcelRefers to Microsoft Office Excel as listed in the Verified Applications.IchitaroRefers to Ichitaro as listed in the Verified Applications.OfficeRefers to Word, Excel, and PowerPoint as the three components.Office Add-inAn add-in that adds an [SkyPDF] tab to the Office ribbon. It allows the creation of a Bookmark PDF with bookmarks and links, as well as a Normal PDF without bookmarks or links.Original document Refers to a collective term for document files before undergoing PDF conversion using this product in this document.PDF/AAn ISO standard of PDF intended for the long-term preservation of electronic documents.PDF/XAn ISO standard of PDF intended for the exchange of print-ready data.PowerPointRefers to Microsoft Office PowerPoint as listed in the Verified Applications.Print Server PropertiesProperties of the print server, including paper, ports, printer drivers, and more. Accessible from the menu that appears when selecting a printer in &quot;Devices and Printers&quot; or from the relevant settings in the &quot;Printers & scanners&quot; screen.Printers & scannersA list of printers installed on the OS. Open [Start] - [Settings] - [Bluetooth & devices](or [Devices]) - [Printers & scanners].UWP appUniversal Windows Platform app. Also known as Windows Store App or Universal Windows App, depending on the operating system. Some are pre-installed on the OS, while others can be installed from the Microsoft Store.VisioRefers to Microsoft Visio as listed in the Verified Applications.WordRefers to Microsoft Office Word as listed in the Verified Applications.",title:"Glossary",HTMLFileName:"Glossary_guid-d4b9d91b-ef54-d243-e74d-b86dfa274c2b_3.html"},{topicId:"guid-bbd0f00d-2430-e85c-d92d-974764d8f1a2",body:"About SkyPDF Pro DriverSkyPDF Pro Driver is a virtual printer driver for creating PDFs. It can convert files in various formats created in various applications into PDFs. Basic Workflow 1. Prepare the original document to be converted.2. Print using SkyPDF Pro Driver.3. A PDF file will be generated.PDF output settings For PDF settings, adjustments are made via the print settings screen. Related Topics For PDF settings, adjustments are made via the print settings screen. Notification Methods for Error MessagesHow to Open the Settings Screen[Easy Setup] Tab[Page Settings] Tab[Compression Options] Tab[Embed Fonts] Tab[Security] Tab[Watermark] Tab[Time Stamp] Tab[Document] Tab[Standards] Tab[Image Output] Tab[Version] Tab",title:"About SkyPDF Pro Driver",HTMLFileName:"About SkyPDF Pro Driver_guid-bbd0f00d-2430-e85c-d92d-974764d8f1a2_4.html"},{topicId:"guid-ae5b372b-8563-cd01-f6a8-91f8ca0d33b6",body:"Notification Methods for Error MessagesWhen an error occurs during printing, SkyPDF Pro Driver will notify you of the error message using the method set during installation. Notification via Message Dialog When configured to notify via a message dialog and an error occurs during printing, a message dialog will be displayed on the screen. Please review the message content and click [OK] or [X] to close the dialog. Notification via Windows Logs If configured to register errors in the Windows logs instead of displaying a message dialog, you can check for printing errors in the OS's &quot;Event Viewer.&quot; Type &quot;Event Viewer&quot; into the search box on the taskbar and click on the search result to open &quot;Event Viewer.&quot;Expand [Windows Logs] and select [Application]. Review the error details.LevelErrorSourceSkyPDF Pro DriverEvent ID3DescriptionMessage Reference information: - Printer Name - Doc Info Name - PDF File Name - Job ID",title:"Notification Methods for Error Messages",HTMLFileName:"Notification Methods for Error Messages_guid-ae5b372b-8563-cd01-f6a8-91f8ca0d33b6_5.html"},{topicId:"guid-5fce35a1-4608-c50e-b42b-9419371d53e2",body:"How to Open the Settings ScreenThe SkyPDF Pro Driver Settings screen can be launched in multiple ways, and the scope of the applicable settings varies depending on where it is launched from. When Launching from the Application's Print ScreenOpen the Print screen of the application, set the SkyPDF Pro Driver to the printer, and press  [Printer Properties]The name varies by application. In Word and Excel it is “Printer Properties”, while in other applications it is “Advanced Settings”, “Properties”, “Other Settings”, etc. to open the Settings screen for the Driver. If you change the settings displayed on the setting screen and press [OK], the settings will be applied to printing performed from this application. The settings configured here are temporary and will be reset when the application closes.When using Excel, since Excel saves print settings for each file, the settings may be saved in the file even after the application is closed.  When Launching from SkyPDF Driver or the Setting IconThe SkyPDF Pro Driver can register icons for Word, Excel, and PowerPoint. It is also possible to launch the setting screen of the driver from the settings screen for registering icons and from the settings icon after icon registration. The settings configured here are permanent and always apply. The settings are also saved for each Windows user account. SkyPDF Driver Select [SkyPDF Driver] from the application list in the Start Menu to launch setting screen.Press [Print Settings] to display the printer selection screen. Select a printer and press [Properties] to open the settings screen.Press [OK] to register the selected printer as the printer to be used with the Office add-in.Settings Icon for SkyPDF Add-in If you have registered an icon, a [SkyPDF] tab will be added to the Office application’s ribbon. Click on [Settings] on the [SkyPDF] tab to open the printer settings screen for the printer you selected in the SkyPDF Driver setting above. If settings have not been configured, the printer selection screen will be displayed. When Launching from Control Panel The SkyPDF Pro Driver’s settings can be changed from “Devices and Printers” in the Control Panel. The settings configured here are permanent and always apply. Open [Devices and Printers].Right-click on the SkyPDF Pro Driver in the list of printers and select “Print Settings” or “Printer Properties”.When setting up for each Windows user account: Select [Print Settings], or [Printer Properties]  >  [Basic Settings].When changing all of the default settings on a Windows user account: Select [Printer Properties]  >  [Advanced] tab  >  [Standard Settings].B changes the default settings. For user accounts that changed their settings using method A, the settings configured in A will take precedence.If you change the settings displayed on the setting screen and press [OK], the changes will be applied next time. ",title:"How to Open the Settings Screen",HTMLFileName:"How to Open the Settings Screen_guid-5fce35a1-4608-c50e-b42b-9419371d53e2_6.html"},{topicId:"guid-d4a5b32f-cd9b-3512-4fea-28e555ae4813",body:"[Easy Setup] TabThe [Easy Setup] tab in the SkyPDF Pro Driver print settings allows you to conveniently configure some of the settings, such as page size, PDF quality, and save location, which are also available in other tabs.  Paper SettingSet PDF paper size and location.  There is the same setting in [Page Setting] Tab.  PDF QualitySet [Preferred Size] or [Preferred Image Quality]. [Graphic (Resolution)] is in [Page Setting] Tab, besides this, there is the same setting in [Compress option] Tab.   Graphics(Resolution)Down samplingInterpolation resolutionColor/Gray ScaleImage CompressBlack and whiteimage compressHigh Priority Size  150dpiBILINEAR150dpiJPEG(Quality-lowest)ZipPreferred Size  300dpiBILINEAR150dpiJPEG(Quality-low)ZipNormal  600dpiBICUBIC150dpiJPEG(Quality-middle)CCITT Group 4Preferred Image  600dpiSUPER SAMPLING300dpiJPEG2000(Quality-middle)Run LengthHigh Priority Image  600dpi[Decrease Image's Sample Point] check off[Decrease Image's Sample Point] check offJPEG2000(Quality-high)Run LengthFont EmbeddingCheck this box if you want to embed into the PDF all of the font information used in it. There is the same setting in [Font Embedding] Tab.  Destination to save the PDF fileSet [Desktop], [My Document] or [Custom]. In case of [Custom], set the save destination by [Reference] button. There is the same setting in [Page Setting] Tab. PDF Viewing PasswordWhen you check [Set password for opening document in PDF], you can input the password for opening the document in text box. There is the same setting in [Security] Tab.  Color / MonochromeSelect [Color] or [Monochrome] to set the PDF color. Selecting [Monochrome] will create a grayscale PDF file. There is the same setting in [Page Setting] Tab. Export / Import of SettingIt is possible to save and load the print settings, including the settings from other tabs. Export of SettingWhen you click this button, this will read the setting file of extension .ssf that is saved in [Export of Setting] and reflect to all this product setting. Import of SettingWhen you click this button, this will read the setting file of extension .ssf that is saved in [Export of Setting] and reflect to all this product setting.  ",title:"[Easy Setup] Tab",HTMLFileName:"Easy Setup Tab_guid-d4a5b32f-cd9b-3512-4fea-28e555ae4813_7.html"},{topicId:"guid-04188d2e-4046-4036-8ee1-547736fb2df3",body:"[Page Settings] TabThe [Page Settings] tab in the SkyPDF Pro Driver print settings allows you to configure settings for page size, margins, and saving of PDFs.   PDF VersionThe version of the output PDF can be changed. The functions that can be set differ depending on the version of the PDF (see chart below). If you select [Auto], you can output the PDF in the PDF version according to the function settings. Also, please display the output PDF with a PDF viewer that supports the PDF version and the set functions. M: Must be set O: Can be set -: Cannot be set Functions not listed in chart: No effect  SettingsPDF Version1.41.51.61.72.0Compression OptionsColor/Grayscale Images: JPEG2000-OOOOSecurityEncryption Level: 128-bit RC4OOOO-Encryption Level: 128-bit AES--OO-Encryption Level: 256-bit AES---OODisable Document AccessibilityOOOO-DocumentOutput document information as meta dataOOOOMStandardsStandards Compliance:  PDF/A-1b, PDF/A-2b, PDF-4, PDF/X-1a(2001), PDF/X-1a(2003)Auto Page SizeSet the paper size of the PDF to be created. StandardSelectable standard paper sizes.Custom SizeYou can specify the paper size by entering the width and height into Width x Height. The unit of measure can be changed using the Unit drop down list, if required.  OrientationYou can select Portrait or Landscape for the paper orientation.  PortraitPaper orientation with its [Width] as the horizontal side and its [Height] as the vertical side.LandscapePaper orientation with its [Height] as the horizontal side and its [Width] as the vertical side. MarginYou can configure the margin setting for the top and left sides of the page of the PDF file. MarginYou can configure the margin setting for the top and left sides of the page of the PDF file.The margin specified here will be set inside of the margin that was set using Page Setup within the application. Therefore, if you set a margin here for the PDF file, then all the pages will move to lower right of the original, which may result in an overflow that will be removed or generated as separate pages.The unit of measure can be changed using the Unit drop down list, if required.Unit for Custom Size and MargineYou can select the unit of measure used for specifying the paper size or margin from Inch/Point/Milimetre. If you change Units, the input value of Paper Size and Margin will be changed automatically. The units are converted as 1 inch = 25.4 milimetre = 72 points. Open Files after SavingSelect this to have the PDF file open automatically after it is created.   Delete Blank PagesSelect this to automatically delete blank pages from the PDF file that were included in the original document. This setting does not apply to PowerPoint files.In the case of Word files, blank pages created using line breaks or page breaks will not be removed. Web OptimizationOptimizing a PDF file reduces the file size and prepares it for page-at-a-time downloading. Page-at-a-time downloading enables PDF files to appear quickly. Embed ThumbnailSelect this to embed thumbnail images in the new PDF file. If you embed thumbnails, you can select a thumbnail in the PDF viewer to display the correct page quickly. Valied for 72-1200 dpi resolution. Color/MonochromeSelect [Color] or [Monochrome] to set the PDF color. ColorConverts to a PDF without changing the colors of the original document.MonochromeConverts to a grayscale PDF regardless of the colors of the original document. Resolution and ZoomYou can configure the resolution and zoom settings for the new PDF file.  ResolutionYou can select the resolution for the new PDF file from 72dpi, 96dpi, 150dpi, 300dpi, and 600dpi.Although the layout of the document will be accurate with higher resolutions, the file will usually grow in size. If you are creating a PDF without changing the layout of the original document or if you need to print at a high quality, please set the print quality to 300 dpi or higher. ZoomYou can specify the zoom level for the new PDF file.  The zoom setting does not affect the page size. (Example) If a PDF file is created with a zoom setting of 50%, the content of the document will be reduced 50% (to A5 size) and placed on an A4 size page. If a zoom setting of 200% is specified, the content of the document will be increased 200% and placed on an A4 size page, but the overflowed area will be deleted or moved to separate pages.   Output SettingsYou can configure the settings for the file name of the new PDF file or the folder in which the file will be saved.  Show Save DialogIf you set [Show Save Dialog], the Save PDF file As dialog box is displayed, and you can specify the file name and the folder in which to save the PDF file.  This setting is not displayed if Windows Logs were selected as message notification method at the time of installation. Output to the Specified Destination FolderIf you set [Output to the Specified Destination Folder], the PDF file will be saved to the folder which was specified in &quot;Destination Folder&quot; with the same file name as the original document name(the part before the extension). Destination FolderThe folder set in &quot;Destination Folder&quot; is the default folder of the &quot;Save PDF file As&quot; dialog box when [Show Save Dialog] is selected, and the destination folder of the PDF file when [Output to the Specified Destination Folder] is selected. The [Default] button restores the settings to those specified during installation. My DocumentsSaves the PDF files in the &quot;My Documents&quot; folder.DesktopSaves the PDF files in the &quot;Desktop&quot; folder.Text box (path to the folder)If you want to specify a new save folder, enter the path to the folder, or click Browse to select the folder.Last Saved FolderThis item can be set when [Show Save Dialog] is selected. Select to have the &quot;Save PDF File As&quot; dialog box default to the folder in which the PDF file was last saved. Setting When File Already ExistsYou can select from the following procedures when a file with the same name already exists in the destination folder. If you select Overwrite or Append the PDF File to the Existing PDF File as default, please be careful when creating the new PDF file. It is possible for an important PDF file to be overwritten or the contents modified. Display Warning DialogA message appears to confirm whether to overwrite the existing file with the same name. By selecting [Cancel], if you are at the [Show save dialog] settings, you will return to the dialog for changing the destination and filename, and if you are at the “Output to specified destination folder” settings, printing will be canceled.This item can not be set if Windows Logs were selected as message notification method at the time of installation.OverwriteThe existing file is automatically overwritten.Save the File with Incremental CountSave a file by automatically adding a sequential number (1 to 99,999) to the end of each file name. It is an error if the number exceeds 99,999, and no PDF files will be created. For example, if a document named ABC.doc is converted three times without changing the file name, the PDF files to be created will be ABC.pdf, ABC1.pdf and ABC2.pdf.  Append the PDF File to the Existing PDF FileThe content of the new PDF file is appended to the content of the existing file to make a single file. If an existing file has password security, it cannot be added unless an equal or higher level of encryption is set using the same password. Also, security settings are overridden by the settings at the time of addition.Add the Date to the File NameEnabling this option will append the output date and time to the end of the PDF file name, separated by an underscore. ",title:"[Page Settings] Tab",HTMLFileName:"Page Settings Tab_guid-04188d2e-4046-4036-8ee1-547736fb2df3_8.html"},{topicId:"guid-8616ba27-5b94-066e-cb2d-55f443ac2d87",body:"[Compression Options] TabThe [Compression Options] tab in the SkyPDF Pro Driver print settings allows you to configure settings for the compression of images embedded in PDFs.   GeneralYou can configure the settings to compress text and line art, to output PDF files as text, and to decrease the image’s sample point. Text and Line Art Compression When you check Text and Line Art Compression, text and line art (drawings) in the original document will be compressed in Zip format.ASCII FormatCheck here to output the PDF file in ASCII 7 bit text format. The PDF file output in ASCII text format can then be displayed and edited using a text editor, etc. DownsamplingSpecify interpolation and resolution for downsampling. If you specify interpolation and resolution for downsampling, and if images with higher resolutions than that which is specified are contained in the original document, then the number of pixels will be reduced down to the specified resolution using the specified interpolation. The resolution can be specified using number of pixels per inch (dpi).  This setting cannot be set simultaneously with PDF/X. BILINEARInterpolation method that prioritizes printing speed over print quality. Smaller data amounts and faster processing speed. Ideal for simple images and shapes. BICUBICInterpolation method that balances printing speed and print quality. Operation is similar to bilinear, but bicubic uses a wider area. You can obtain images with a smoother gradation at the expense of a large amount of data. Ideal for complex images and photos. SUPER SAMPLINGSupersampling is a method used to remove aliasing (jagged and pixelated edges, colloquially known as &quot;jaggies&quot;) from images rendered. Colour/Grayscale ImagesYou can specify the compression method for colour images and grayscale images. JPEG2000It is realized both improvement in image quality and compression rate, evolution of JPEG. JPEG2000 (Quality-lowest) applies maximum compression and JPEG2000 (Quality-highest) applies minimum compression. The size of the file can be reduced by compression, but the image degrades when compression is increased. This setting can be set when the PDF version is 1.5 or later.JPEGThis is suitable for an image with a high resolution and large file size, or for graduated pixel images such as photographs, etc. JPEG (Quality-lowest) applies maximum compression and JPEG (Quality-highest) applies minimum compression. The size of the file can be reduced by compression, but the image degrades when compression is increased.Run LengthThis is suitable for monochrome images where the black and white components have broad variation.ZipThis is suitable for comparatively small images with many components of uniform density and without graduation such as illustrations and screen shots. There is no image quality degradation in Zip compression, but the compression rate is low and the file size will be large. Auto select(JPEG or Zip)Can be set by selecting JPEG2000 or JPEG in [Compression Method]. If Zip format is more efficient in compressing file size than the selected compression method, Zip format is automatically applied. The processing speed will be slow due to auto select.  Monochrome ImagesYou can specify the compression method for black and white images. A black and white image is one that is composed only of black and white. Gray is not included. CCITT Group 3 CCITT Group 4These are the methods that are used for fax transmission and suitable for monochrome documents created using paint software, etc. There is no loss of data by compression, and they are compatible with most compressed images. Group 4 compresses more effectively than Group 3. ZipThis is suitable for monochrome images that have black and white components separated into fine detail.Run LengthThis is suitable for monochrome images where the black and white components have broad variation.JBIG2This is the best compression method for reducing the file size of black and white images.  ",title:"[Compression Options] Tab",HTMLFileName:"Compression Options Tab_guid-8616ba27-5b94-066e-cb2d-55f443ac2d87_9.html"},{topicId:"guid-c854b4fc-eae8-95e0-761d-2107418c7e72",body:"[Embed Fonts] TabThe [Font Embedding] tab in the SkyPDF Pro Driver print settings allows you to configure the fonts to be embedded in the PDF.  “Font Embedding” refers to embedding information about the fonts used in a PDF into the PDF. Embedding fonts increases the file size, but it also allows the PDF to be viewed and printed without losing the layout in another environment where those fonts are not installed. If fonts are not embedded, the file size can be reduced, but the file may display differently depending on the environment and application in which it is viewed.Embed All FontsCheck this option if you want to embed all fonts used in the original document to the PDF file.These are the recommended settings for viewing in different environments and for long-term storage of files.When the standard is PDF/A or PDF/X, be sure to assign the settings to [Embed All Fonts].Optimize with RegionThe most appropriate fonts for the operating system of each region(Europe and Japan) will be embedded into the PDF file to display the PDF accurately. The number of fonts to be embedded will be smaller than when [Embed All Fonts] is specified.CustomizeFreely customize the embedded fonts.Font ListList of installed fonts that can be embedded.Always EmbedList of fonts to embed in the PDF if used in the original document. Use [>>] to add it from the font list, and [<<] to return it to the font list.Never EmbedList of fonts that will not be embedded in the PDF even if they are used in the original document. Use [>>] to add it from the font list, and [<<] to return it to the font list.Embedded character from which the typeface is different in JIS2004 and JIS90This box is selected by default, but when using a PC with the JIS004 font installed, please select this setting so that your file can be displayed on another PC. Embedded a character code &quot;0x5C(\\)&quot;This function allows for displaying &quot;¥ (yen mark),&quot; &quot;\\ (backslash),&quot; etc. in accordance with the original document without being influenced by the differences of OSs and applications that display PDF files.  ",title:"[Embed Fonts] Tab",HTMLFileName:"Embed Fonts Tab_guid-c854b4fc-eae8-95e0-761d-2107418c7e72_10.html"},{topicId:"guid-1f53d552-f02c-8a9f-4fce-b2bf14db611f",body:"[Security] TabOn the [Security] tab of the SkyPDF Pro Driver print settings, check Secure PDF to assign a required password to display or edit the PDF file, or to change the encryption level or edit permissions. Security settings cannot be set simultaneously with PDF/A and PDF/X.  PasswordUser PasswordA password (up to 32 characters) required to open the PDF.It cannot be set to be the same as your [Master Password].Master PasswordA password (up to 32 characters) required to change permission settings.Enter this password when opening the file to open it with all operations available.It is sometimes referred to as the &quot;owner password&quot;. PermissionsEncryption LevelThe higher the encryption level, the more effective it is in terms of security. The higher the encryption level, the newer the PDF version should be. Encryption LevelCompatible PDF versions128-bit RC41.4 - 1.7128-bit AES1.6, 1.7256-bit AES1.7, 2.0Restricted ItemsDisallow PrintingCheck here to disallow printing of the PDF file.Print All PagesCheck here to allow printing of the PDF file at all resolution levels.Print in Low ResolutionCheck here if you want the PDF to be restricted to low resolution printing only.Disallow copying or extracting of text, Images or other contentCheck here if you do not allow copying of selected text or images in the PDF file, or to extract specific pages. Disable Document AccessibilityCheck here, if you do not want the PDF file to be edited using the accessibility functions.If the PDF version is 2.0, accessibility cannot be disabled. Disallow addition or change of signatures or sealing, comments, bookmarks and form fieldsCheck here, if you do not allow setting of new notes or form fields, entering text to the existing notes, or changing the setting of form fields.Allow edit, Annotation, input into form fields or signature and stampCheck here, if you allow all Acrobat editing functions except PDF file extraction and printing. Allow stamp without signature, Annotation, input into form fields and signature of existing signature fieldsCheck here to allow create and input to the form fields and add a signature. Allow input into form fields and signature of existing signature filedsCheck here, if you allow to add signature and to enter to the form field. Allow Addition, Insertion, Deletion and Rotation of DocumentCheck here, if you allow insertions, deletions, and rotations of the page, and the creation of bookmarks and thumbnails.    ✕: Disallow, ✔: Allow  Disallow addition or change of signatures or sealing, comments, bookmarks and form fieldsAllow edit, Annotation, input into form fields or signature and stampAllow stamp without signature, Annotation, input into form fields and signature of existing signature fieldsAllow input into form fields and signature of existing signature filedsAllow Addition, Insertion, Deletion and Rotation of DocumentChange the document✕✔✕✕✕Document assembly✕✔✕✕✔Comment✕✔✔✕✕Create form field✕✔✕✕✕Enter to the form field✕✔✔✔✕Sign existing signture field✕✔✔✔✕Create a signature field and sign✕✔✕✕✕Create template page✕✔✔✕✕Send the form✕✔✔✕✕ ",title:"[Security] Tab",HTMLFileName:"Security Tab_guid-1f53d552-f02c-8a9f-4fce-b2bf14db611f_11.html"},{topicId:"guid-6125be4d-3a1b-b00c-cd95-1dbcc370ad6e",body:"[Watermark] TabThe [Watermark] tab in the SkyPDF Pro Driver print settings allows you to configure the watermarks to be embedded in the PDF.  The “Watermark” with regard to the Driver refers to text or an image inserted at the front or back of an original document without editing its content. TypeSelect the type of watermark. Select [Do not embed] to make it a PDF with no watermark.  OrderSelect whether to insert the watermark at the very front or the very back of the PDF. ForeGround BackGround  TransparencyWhen the [Make transparent] box is checked, a transparency value between 0% and 100% can be set. The lower the transparency value, the more transparent the added watermark will be. Text SettingsWhen the selected watermark type is selected as “Text”, assign the settings for text to be inserted as a watermark. TextEnter text to be inserted as a watermark (up to 128 characters).FontSelect the font for the text string. SizeSelect a size for the font (1-100).ColorSelect a color for the text string.In [Page Settings], when [Color/Monochrome] is set to [Color], it will be output in the specified color. If it is set to [Monochrome], it will be output in grayscale.StyleSelect the font style from Normal, Bold, Italic, and Bold Italic.RotationSpecify text rotation angle. Image SettingsWhen the selected watermark type is selected as [Image], assign the settings for image to be inserted as a watermark. BrowseThe file name and path for the image can be entered directly into the box, or click Browse to find the file.  *.bmp, *.jpg, *.jpeg, *.jpe, *.pngRotationSpecify image rotation angle.Maintain Aspect RatioCheck this box to maintain the length and width aspect ratio, when the image size is changed.Fit to Page SizeCheck here to expand the image to fill the entire page. Layout SettingsSet the placement position of the watermark. The available settings vary depending on the [Watermark type]. LayoutYou can specify the location of the watermark. Base PointYou can select the base point for the location of the text or image from Top Left, Top, Top Right, Left, Centre, Right, Bottom Left, Bottom and Bottom Right. Vertical / HorizontalSpecify the amount of vertical displacement from the position specified by Base Point.A negative value causes a move upward and a positive value causes a move downward of the text or image. SizeSelect the image size in length x width.If the Maintain Aspect Ratio box in the [Image Settings] pane of the [Watermark] tab is checked, then when the value of either box is changed, the value of other box will be automatically changed.  UnitThe units of size can be changed using Units, as required. 1 inch = 72.0 points = 25.4 millimetre ",title:"[Watermark] Tab",HTMLFileName:"Watermark Tab_guid-6125be4d-3a1b-b00c-cd95-1dbcc370ad6e_12.html"},{topicId:"guid-b5aa5e77-216c-349a-fb97-fc45d6522e10",body:"[Time Stamp] TabWith the [Time Stamp] tab in the SkyPDF Pro Driver print settings, you can assign a time stamp to the output PDF by checking the [Add Time Stamp] checkbox.  Time Stamp can secure the credibility of electronic data and complement the limitations of digital signatures with the following two effects. Existence Proof: The Time Stamp can prove that the data actually existed at the time when Time Stamp was granted. Integrity Proof: The Time Stamp can prove that the data has not been falsified since the time when Time Stamp was granted. NoteThe time stamp feature cannot be set simultaneously with the [Web Optimization] settings in the [Page Settings] tab.The time stamp feature cannot be set simultaneously with PDF/A and PDF/X.AMANO Secure Japan Corporation’s “Amano Time Stamp Service 3161” is required to assign time stamps to PDFs using the Driver. For information on applying for the time stamp service and matters regarding license and certificate files, please contact AMANO Secure Japan Corporation.Old license files that do not support SHA256 cannot be used. Please contact AMANO Secure Japan Corporation regarding license renewal.Even if the color on the [Page Settings] tab is set to [Monochrome], the imprint of the time stamp will be in color.Even if the watermark is set to [Front] in the [Watermark] tab, the time stamp imprint will be added in front of the watermark. SettingsLicenseSet up the license file and its password.FileThis is the path to the license file (*.atl) for “Amano Time Stamp Service 3161” distributed by AMANO Secure Japan Corporation.PasswordEnter the password for the Time Stamp License file.ConfirmationClick &quot;Confirmation&quot; to verify if the password is valid.ServerSetting the URL of the timestamp server and the connection timeout period.Saver nameThe URL of the timestamp server. Normally, the default (http://tss3161.e-timing.ne.jp/astdtssvr/TSRequest) can be used.Time outTimeout period (in seconds) for connecting to the time stamp server.Default value of 5 seconds is set for 0.ProxyIf &quot;Use system proxy settings&quot; is checked, the proxy settings configured in the system will be valid. Set the System logIf &quot;Use system proxy settings&quot; is checked, the proxy settings configured in the system will be valid. When an error occurredIf the Record box is checked and a path is entered, the system log will be outputted. If an incorrect path is entered, the system log will not be outputted.  DetailYou can change settings related to the imprint, verification, and date/time format of time stamps. Stamp image selectionSelect the imprint of the time stamp to be assigned to the PDF.InvisiblityThe circular type The corner type Penetrate to background colorWhen the checkbox is checked, the background of the imprint is made transparent so that the document can be read when the imprint is placed on the document. OFF ON Translucence to stamp faceWhen the checkbox is checked, the imprint can be made translucent.Visible mark DetailSettings related to the additional position of the imprint and whether or not it is linked.PageSpecify the page number to which the imprint is to be added and its position in terms of the amount of movement (in mm) in relation to the upper left corner of the page.Set reverse orderWhen the checkbox is checked, the page number specified in [Page] is counted as the number of pages from the last page.Time Stamp InspectionSetting for whether PDFs are verified when assigning a time stamp. When performing verification, a certificate must be installed. If verification is performed and an invalid result or processing error is detected, a time stamp will not be assigned.<Verification Details>TSA certificate included in time stampTSA certificate’s root CA certificateCRLCRL root CA certificateInspect All<Verification Details> Perform verifications 1 through 4, and assign a time stamp only if all results are normal.Inspect anything other than TSA certificate revocation<Verification Details> Perform verifications 1 and 2, and assign a time stamp only if the results are normal.Inspect only using TSA certificate<Verification Details> Perform verification 1, and assign a time stamp only if the results are normal.Do not inspectAssigns a time stamp without verification.Date and time format selectionDate and time format of the time stamp’s added date and time to be displayed on the imprint.Date formatSelect from the pulldown menu.The date of the setting item, for example purposes, is the date at the moment the dialog is opened. The actual date will be the date at the moment the time stamp is added.Time formatSelect from the pulldown menu.The time of the setting item, for example purposes, is the time at the moment the dialog is opened. The actual time will be the time at the moment the time stamp is added.Timezone SettingTime zone of the time stamp’s added date and time to be displayed on the imprint.AbbreviationDisplays the abbreviation of the selected time zone on the time stamp.Time lag of UTCExplicitly sets the time difference from UTC (universal time used for recording time).Installing the CA CertificateWhen verifying the timestamp, please follow these steps to install the certificates: Download all of the certificates listed below:Root CASecurity Communication RootCA3 Certificate (SCRoot3ca.cer) https://repository.secomtrust.net/SC-Root3/ Intermediate CASECOM TimeStamping CA3 (ca3-der.cerまたはca3.cer、どちらでも可) https://repo1.secomtrust.net/spcpp/ts/ Run the downloaded certificate files individually.If a security warning appears, click [Open] to proceed.Click [Install Certificate].Click [Next].Select [Place all certificates in the following store], and then Click [Browse].For the Root CA certificate (SCRoot3ca.cer), select the [Trusted Root Certification Authorities] store. For the Intermediate CA certificate (ca3-der.cer or ca3.cer), select the [Intermediate Certification Authorities] store, and then click [OK.]Click [Next].Click [Finish], and then select OK to confirm that the import was successful.Once you have successfully imported all downloaded certificates, the process is complete.Detail: AMANO Secure Japan Corporation’s information &quot;ルートCA証明書および中間CA証明書の追加設定のお願い&quot; ",title:"[Time Stamp] Tab",HTMLFileName:"Time Stamp Tab_guid-b5aa5e77-216c-349a-fb97-fc45d6522e10_13.html"},{topicId:"guid-c6208c07-c68c-4286-3554-255976ce6bc7",body:"[Document] TabIn the [Document] tab of the SkyPDF Pro Driver Print Settings, you can configure the document information of the PDF to be created, settings for viewing the output PDF, and links.   Document InformationTitleUp to 256 characters can be specified for the title. Always set if the standards compliance is PDF/X. AuthorUp to 256 characters can be specified for the author.SubtitleUp to 256 characters can be specified for the subtitle.KeywordUp to 256 characters can be specified for the keyword.Output document information as meta dataWhen [Output document information as metadata] is enabled, document information (title, creator, subtitles, keywords) that is normally output as on element inside the PDF can be output as metadata. Always set if the PDF version is 2.0.Always set if the standards compliance is PDF/A or PDF/X.  Display setting for output PDFThe initial settings when displaying the PDF in the viewer can be changed.  Initial display settings are embedded in PDF. The amount of information embedded in the PDF that can be read and how the read content is reflected in the display settings may vary depending on the PDF viewer being used. Display navigatorViewer navigator display settings when output PDF is opened.Page OnlyFollow viewer.Bookmarks panelDisplay navigator bookmark panel.Thumbnails panelDisplay navigator thumbnail display panel.Attachments panelDisplay navigator attachment panel.ZoomDisplay scale when output PDF is opened.NoneFollow viewer.Fit widthDisplay at scale matched to width of viewer.Fit pageDisplay at scale so that the entire page can be shown in the viewer’s display area.25-1000%Display at specified scale.Display layoutPage layout when output PDF is opened.NoneFollow viewer.Single pageDisplay 1 page at a time.Two-UpDisplay 2 page at a timeTwo-Up(Cover)Display page 1 as cover and 2 pages at a time from page 2 onward.Single page ContinuousDisplay 1 page at a time continuously.Two-Up ContinuousDisplay 2 page at a time continuously.Two-Up Continuous(Cover)Display page 1 as cover and 2 pages at a time from page 2 onward continuously.Display pageNumber of first page to be displayed when output PDF is opened. LinkAutomatically convert URLs to PDF WeblinksCheck here if you want URLs and mail addresses included in the original document to be converted automatically into hyperlinks. Character strings beginning with &quot;http://&quot;, &quot;https://&quot;, &quot;ftp://&quot;, and &quot;file://&quot; will be recognized as URLs. A character string beginning with &quot;mailto:&quot; and written in &quot;XXX@XXX.XXX&quot; format will be recognized as a mail address.These settings cannot be set simultaneously with PDF/X.   ",title:"[Document] Tab",HTMLFileName:"Document Tab_guid-c6208c07-c68c-4286-3554-255976ce6bc7_14.html"},{topicId:"guid-a604ba45-f5eb-e68e-cd70-eaa77f319516",body:"[Standards] TabIn the [Standards] tab of the SkyPDF Pro Driver Print Settings, you can configure the standard of the PDF to be output.   Standards ComplianceThere are differences in the functions that can be set for each standard. NormalIf set to [Normal], the output will be in the PDF standard that complies with the specifications of the set PDF version.PDF/A-1bPDF/A-1b is a standard that partially complies with ISO 19005-1 and is a electronic document file format for long term preservation based on the PDF1.4 specifications.PDF/A-2bPDF/A-2b is a standard that partially complies with ISO 19005-2 and is a electronic document file format for long term preservation based on the PDF1.7 specifications.PDF/A-4PDF/A-4 is a standard that partially complies with ISO 19005-4 and is a electronic document file format for long term preservation based on the PDF2.0 specifications.PDF/X-1a(2001)PDF/X-1a(2001) documents are compliant with ISO15930-1 standards, used for facilitation to exchange data and graphics for printings.PDF/X-1a(2003)PDF/X-1a(2003) documents are compliant with ISO15930-4 standards, used for facilitation to exchange data and graphics for printings.  There are differences in the functions that can be set for each standard (see table below). M: Must be set O: Can be set -: Cannot be set Functions not listed in chart: No effect SettingStandards CompliancePDF/APDF/X-1aPage SettingsPDF Version : AutoMMPDF Version : 1.4 - 2.0--Compression OptionsDownsampling : Decrease Image's Sample PointO-Colour/Grayscale Images : JPEG20001b：- 2b：O 4：O-Monochrome Images : JBIG2O-SecuritySecure PDF--WatermarkTransparent : 100%OOTransparent : 0 - 99％1b：- 2b：O 4：O-Time StampAdd Time Stamp--DocumentOutput document information as meta dataMMAutomatically Convert URLs to PDF WeblinksO-Image OutputDownsampling of ImagePDF : Decrease Image's Sample PointO- When Not CompliantPDF conforming to the specified standard cannot be generated If the following conditions are detected during processing: if a font must not be embedded into the PDF file;if the ICC profile does not exist in SkyPDF’s program folder.What is an ICC profile? An ICC profile is a description of the color management specifications according to standards published by the International Color Consortium.PDF/A-1b or PDF/X-1a and a watermark using a transparent image are set at the same time.You can select the processing in that cases. Cancel JobNo PDF file will be created and display an error message.ContinueGenerates standard PDFs that do not conform to specified standards. Output Intent ProfileSelect one from the following.  PDF/AsRGBAdobe RGB (1998)Apple RGBColorMatch RGBPDF/X-1aUS Web Coated (SWOP) v2US Web Uncoated v2Coated GRACoL 2006 (ISO 12647-2:2004)Web Coated SWOP Grade 3 PaperWeb Coated SWOP Grade 5 PaperCoated FOGRA27 (ISO 12647-2:2004)Web Coated FOGRA28 (ISO 12647-2:2004)Uncoated FOGRA29 (ISO 12647-2:2004)Coated FOGRA39 (ISO 12647-2:2004)Japan Web Coated (Ad)Japan Color 2001 CoatedJapan Color 2001 UncoatedJapan Color 2002 NewspaperJapan Color 2003 Web Coated     ",title:"[Standards] Tab",HTMLFileName:"Standards Tab_guid-a604ba45-f5eb-e68e-cd70-eaa77f319516_15.html"},{topicId:"guid-0317f1b3-5022-a9de-acc7-189c27422449",body:"[Image Output] TabThis section describes each item on the [Image Output] tab of the SkyPDF Pro Driver Settings screen. The [Image Output] tab allows you to convert all or part of the displayed content of the original document into an image to be output as a PDF.  (Image)  Regular OutputA regular output method.  Select if you do not want the displayed content of the original document to be an image. Output after Partially Composing ImageIf the ROP that is not supported in this product is detected, only that portion is outputted as an image.It provides higher reproducibility of the original document than [Regular Output], while the printing speed will be slow. Output after Composing ImageWhether it is supported or not, ROP is outputted as all image. It provides higher reproducibility of the original document than [Regular Output] and [Output after Partially Composing Image], while the printing speed will be slow. ImagePDFThis function converts the displayed content of the original document into an image for creating a PDF file.Outputting the content as an image enables you to reproduce a complicated drawing instruction that cannot be converted into a PDF file. Embed transparency TextReads text from the original document and embeds it as transparent text. Because text is also output as an image, it is generally impossible to perform word search and text copy in an image PDF. However, scanning text content and embedding it as transparent text make it possible to perform word search and text copy. Can only be set when [Output image PDF] is selected. Images ResolutionSet resolution (the number of pixels per inch).  Generally, the higher resolution, the more accurate the document layout will be, while the file size will become larger as well. Can only be set when [Output image PDF] is selected. If PDF is just for displaying on the monitor, it doesn't matter even though the resolution are 150 dpi or less.If you want to output a PDF file without changing the layout of the original document or perform high-quality printing, please specify the resolution of 300dpi or greater. Select to Image ColorSet the color of image to be created (monochrome / grayscale / full color).  Can only be set when [Output image PDF] is selected. Downsampling of ImagePDFSet the decrease image's sample point and the resolution (must be 72dpi or greater) to perform downsampling. Specifying the decrease image's sample point and the resolution of downsampling reduces the number of pixels to the resolution which is designated by the selected decrease image's sample point, if the original document has an image with higher resolution than the designated resolution. Can only be set when [Output image PDF] is selected. (See: [Compression Options] Tab.) ImagePDF CompressionPut a check in the box to compress an image and select an appropriate compression format. Can only be set when [Output image PDF] is selected. (See: [Compression Options] Tab.) Range of Page for ImagePDFSet the pages you want to create as image PDFs. If you select [All], all pages converted to PDFs will be output as images. If you select [Specify pages], only the specified pages will be output as images, and all other pages will be output normally. If you need only the selected pages, please put a check in the [Printout the selected pages only] box. Can only be set when [Output image PDF] is selected.      ",title:"[Image Output] Tab",HTMLFileName:"Image Output Tab_guid-0317f1b3-5022-a9de-acc7-189c27422449_16.html"},{topicId:"guid-e61543b6-bc88-06a0-7d86-5afdd9b9eeb6",body:"[Version] TabThis section describes the [Version] tab of the SkyPDF Pro Driver Print Settings.  Product InformationThe name of our company, the URL, the name and version of this product, and the installation time are all displayed.Change LanguageAfter selecting a language from the pull-down menu on the left, press [Change Language] to change the language for the entire product. Changes in settings will be reflected upon the next startup. Online ManualClick the button to display this help.FAQOpens the FAQ of our company’s website in the specified browser.  Can only be viewed in an online environment.License confirmation - AuthenticationClick the button to display account information. You can check the serial number and the status of applied options, and deactivate or switch licenses. Deactivate When you want to use this product on a new machine or another machine, pressing [Deactivate] here to deactivate the license authentication allows you to switch the machine you use without consuming the number of licenses.Switch License You can perform license authentication by specifying a license file.   ",title:"[Version] Tab",HTMLFileName:"Version Tab_guid-e61543b6-bc88-06a0-7d86-5afdd9b9eeb6_17.html"},{topicId:"guid-df49695c-eb6f-1fdb-ffa5-17d8fc2a2c11",body:"Notes and Restrictions on SkyPDF Pro DriverPlease note the following restrictions and precautions when using SkyPDF Pro Driver.  Matters Related to Supported ApplicationsSkyPDF Pro Driver does not support printing from UWP applications. Therefore, the following problems may occur if you specify the Driver when printing (converting to PDF) from a UWP application.If the Driver is set to direct Print Settings*, problems such as the inability to create PDFs may occur.At the “Devices and Printers” screen, right-click on [SkyPDF Pro Driver]  >  [Printer Properties]  >  [Advanced］ tab  >  [Send print data directly to printer]Printing from a UWP application may cause the process to become unresponsive or appear to have stopped.Even with supported applications, PDF accuracy may be impaired in rare cases due to conditions such as layout and file size. When using Visio, any Bold, Italic, or ItalicBold characters that have been entered may be recognized as graphics and converted to PDF instead of text. In some cases (see the example below), even standard typefaces may be recognized as graphics. (Example) When using the standard font “MS P Gothic” in Visio, all text and graphics are recognized as graphics if the print resolution is 300 dpi or less. Additionally, all characters with a font size of 86 pt or larger at a printing resolution of 600 dpi, 43 pt or larger at 1200 dpi, and 22 pt or larger at 2400 dpi are recognized as graphics.When using Visio, due to its specifications, changes made to the paper orientation in the Print Settings will not be reflected. Matters Related to Page SettingsEven when the [Remove blank pages] setting is enabled, blank pages in PowerPoint files will not be removed.Even when the [Remove blank pages] setting is enabled, in Word files, only blank pages (created with [Insert]  >  [Page Break]) that do not contain line feed characters will be removed. Blank pages created by pressing Enter or by creating blank pages (created with [Insert]  >  [Blank Page]) will not be removed because they contain line feed characters.If the source document contains a large number of objects such as links, processing related to the [Optimize for web view] settings may not complete. Matters Related to PDF StandardsPDFs output as PDF/A may not be properly pre-flighted in Adobe Acrobat in some cases if the CID Set assigned for the originally embedded font is incomplete.If a character code is used that is not assigned to characters in the external character area, PDF output to the PDF/A standard may not be possible. Matters Related to Embedded FontsIf a Type 1 font is set in the [Enbed Fonts] tab settings in SkyPDF Pro Driver and a document created using that font is converted to PDF, unintended results such as an error message appearing when opening the PDF or Type 1 font portions appearing blank may occur, depending on the application. <Measures> Please take one of the following measures.When using Type 1 fonts, fonts are not embedded.However, since embedding is not performed, if the corresponding font is not installed in the environment where the PDF file is opened, it may be displayed with an alternative font.Changing Type 1 fonts to a different font.Open a PDF file with this product. Matters Related to TimestampIn a Windows proxy connection environment, when operating the print settings screen of SkyPDF Pro Driver, the test button on the ‘Timestamp’ tab of the property screen may not work. In this case, you will need to log off from Windows.When creating a PDF using SkyPDF Pro Driver from Microsoft Edge, if all the following conditions are met, a timestamp will not be applied even if a timestamp is set. If [When create PDF file, ignore the error of the time stamp] is off, an error message with code: -999 will be displayed. < Conditions >The OS is 32-bit.Spool printing settings are in place.Spool printing settings: Right-click [SkyPDF Pro Driver] on the ‘Devices and Printers’ screen > [Printer Properties] > [Advanced] tab > [Spool print documents so program printing finishes faster]Microsoft Edge’s protection mode is enabled.<Measures> By avoiding any of the above conditions, you can create a PDF with a timestamp. Also, in the case of the Professional version, after creating a PDF without a timestamp, you can open the PDF and add a timestamp separately. Matters Related to Compression OptionsThe compression option method used may vary depending on the application and environment. For example, even when the same TIFF image from the same application is converted to PDF, the “Monochrome image compression” setting may be enabled on a 32-bit OS, and the “Color/grayscale image compression” setting on a 64-bit OS may be enabled. Matters Related to OS FunctionsWhen printing with the [Output to File] option enabled in the OS, the following settings in the [Page Settings] tab of the Driver do not apply.Output SettingsSetting When File Already ExistsAdd the Date to the File NameOpen Files after Saving Matters Related to HyperlinkOnly 1 hyperlinked character string is possible.If a hyperlinked character string contains any of the following characters, the rest of the text will not be hyperlinked.(　^　\\　|　'　&quot;(Example) If “https://msdn2.microsoft.com/ja-jp/library/ms742418(VS.80).aspx” is converted to a PDF, the hyperlinked character string will only contain “https://msdn2.microsoft.com/ja-jp/library/ms742418”.When using Ichitaro, if there are characters and a space immediately before the e-mail address, the space is ignored and the characters and the address together is recognized as a hyperlink. (Example) In the case of “e-mail ii-help@skycom.co.jp”, the hyperlink will not be “ii-help@skycom.co.jp”, but will instead become “e-mailii-help@skycom.co.jp”.When using Visio, hyperlinked character strings cannot be recognized when creating PDFs because Visio splits text data. However, hyperlinks can be assigned if pasted from other applications (Word, etc.).Font conditions for each item must be metWhen using Excel or PowerPoint, special symbols are treated as a separate font, so normal characters and special symbols become separate strings and are not recognized together as one hyperlinked character string. (Example) Special fonts: Estrangelo Edessa, Gautami, Latha, Mangal, Raavi, Shruti, Tunga Matters Related to the Font on the Print ScreenWhen using an English OS that does not have the “MS UI Gothic” font, the text on the print settings screen of SkyPDF Pro Driver becomes larger, and some displays disappear outside the frame. This can be avoided by installing the “MS UI Gothic” font or installing Microsoft Office.  ",title:"Notes and Restrictions on SkyPDF Pro Driver",HTMLFileName:"Notes and Restrictions on SkyPDF Pro Driver_guid-df49695c-eb6f-1fdb-ffa5-17d8fc2a2c11_18.html"}]